﻿using System.Text;
using com.upay.utils;
using com.upay.upayException;
using Newtonsoft.Json;
using Newtonsoft.Json.Linq;
using com.upay.Entity;
using System.Collections.Generic;

namespace com.upay.transferSingle
{
    public class accountAvilableBalanceBacks : ResponseObject
    {
        public accountAvilableBalanceBacks()
        {
        }

        public accountAvilableBalanceBacks(string responsestr)
        {
            accountAvilableBalanceBacks back = JsonConvert.DeserializeObject<accountAvilableBalanceBacks>(responsestr);
        

            Hmac = back.Hmac;
            MerchantId = back.MerchantId;
            RequestId = back.RequestId;
            DateTime = back.DateTime;
            AvailableTransferBalance = back.AvailableTransferBalance;
            Status = back.Status;

        }

        /// <summary>
        /// 商户Id
        /// </summary>
        [JsonProperty(PropertyName = "merchantId")]
        public string MerchantId { get; set; }

        /// <summary>
        /// 订单号
        /// </summary>
        [JsonProperty(PropertyName = "requestId")]
        public string RequestId { get; set; }


        /// <summary>
        /// 时间戳
        /// </summary>
        [JsonProperty(PropertyName = "dateTime")]
        public string DateTime { get; set; }

        /// <summary>
        /// 账户余额信息
        /// </summary>
        [JsonProperty(PropertyName = "availableTransferBalance")]
        public string AvailableTransferBalance { get; set; }



    }
}
