﻿using System.Text;
using com.upay.upayException;
using Newtonsoft.Json;
using Newtonsoft.Json.Linq;

namespace com.upay.transferSingle
{
    public class transferSingleOrderBacks : ResponseObject
    {
        public transferSingleOrderBacks()
        {
        }

        public transferSingleOrderBacks(string responsestr)
        {
            transferSingleOrderBacks back = JsonConvert.DeserializeObject<transferSingleOrderBacks>(responsestr);
           
            Hmac = back.Hmac;
            MerchantId = back.MerchantId;
            RequestId = back.RequestId;
            Status = back.Status; 

        }

        /// <summary>
        /// 商户Id
        /// </summary>
        [JsonProperty(PropertyName = "merchantId")]
        public string MerchantId { get; set; }


        /// <summary>
        /// 订单号
        /// </summary>
        [JsonProperty(PropertyName = "requestId")]
        public string RequestId { get; set; }


        
    }
}
