﻿using System;
using System.Collections.Generic;
using System.Text;
using com.upay.upayException;
using com.upay.Entity;
using com.upay;
using Newtonsoft.Json;
using Newtonsoft.Json.Linq;
using System.IO;

namespace com.upay.transferSingle
{
    public class transferSingleQueryBack : ResponseObject
    {
        public transferSingleQueryBack()
        {
        }

        public transferSingleQueryBack(string responsestr)
            : base(responsestr)
        {
            transferSingleQueryBack back = JsonConvert.DeserializeObject<transferSingleQueryBack>(responsestr);
            

          

            MerchantId = back.MerchantId;
            RequestId = back.RequestId;
            SerialNumber = back.SerialNumber;
            Currency = back.Currency;
            Amount = back.Amount;
            CompleteDateTime = back.CompleteDateTime;
            Remark = back.Remark;
            Status = back.Status;
            Hmac = back.Hmac;
        }

        /// <summary>
        /// 商家ID
        /// </summary>
        [JsonProperty(PropertyName = "merchantId")]
        public string MerchantId { get; set; }

        /// <summary>
        /// 订单号
        /// </summary>
        [JsonProperty(PropertyName = "requestId")]
        public string RequestId { get; set; }

        [JsonProperty(PropertyName = "serialNumber")]
        public string SerialNumber { get; set; }
        [JsonProperty(PropertyName = "amount")]
        public string Amount { get; set; }
        [JsonProperty(PropertyName = "currency")]
        public string Currency { get; set; }
        [JsonProperty(PropertyName = "completeDateTime")]
        public string CompleteDateTime { get; set; }
        [JsonProperty(PropertyName = "remark")]
        public string Remark { get; set; }

      
    }
}
